#
# @(#)S507atok12	1.13 03/03/05 SMI
#
# Launch Desktop X Input Method Server for ATOK12
# Locale: ja,ja_JP.PCK,ja_JP.UTF-8
#

if [ -x /usr/openwin/bin/htt -a -f /usr/lib/im/leif/atok12.so ]; then 
	# OpenWindows
	if [ "_$_sunximswm" = "_olwm" ] ; then
		: # ATOK12 does not support OpenWindows
		: # do not unset DTSTARTIMS in this case
	# CDE
	else
		if [ "_$atok12disablestatusarea" = "_true" ]; then
			: # for Motif or others which use XIMStatusArea
			echo "*disableStatusArea: true" \
				| /usr/openwin/bin/xrdb -m
			: # for XView which use XIMStatusCallback
			echo "OpenWindows.ImStatusStyle: none" \
				| /usr/openwin/bin/xrdb -m
		else
			: # disable status area on each window's bottom
			: # by setting "atok12disablestatusarea=true"
			: # in $HOME/.dtprofile
		fi
		LC_ALL=ja LANG=ja \
		/usr/openwin/bin/htt \
			-if atok12 -so -nosm -lc_basiclocale ja -xim htt_xbe \
			> /dev/null 2>&1
		DISABLE_MULTI_SCRIPT_IM=true; export DISABLE_MULTI_SCRIPT_IM
		unset DTSTARTIMS
	fi
fi
